# IO_ParticleProcessor.cpp File Reference

`#include <osgParticle/ParticleProcessor>`
`#include <osgParticle/ParticleSystem>`
`#include <iostream>`
`#include <osg/ref_ptr>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for IO_ParticleProcessor.cpp:

## Functions

bool | read_particle (osgDB::Input &fr, osgParticle::Particle &P)
void | write_particle (const osgParticle::Particle &P, osgDB::Output &fw)
bool | ParticleProcessor_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | ParticleProcessor_writeLocalData (const osg::Object &obj, osgDB::Output &fw)

## Variables

osgDB::RegisterDotOsgWrapperProxy | ParticleProcessor_Proxy (0,"ParticleProcessor","Object Node ParticleProcessor", ParticleProcessor_readLocalData, ParticleProcessor_writeLocalData)

## Function Documentation

bool ParticleProcessor_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool ParticleProcessor_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

bool read_particle | ( | osgDB::Input & | fr,
|  | osgParticle::Particle & | P
| ) |

void write_particle | ( | const osgParticle::Particle & | P,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy ParticleProcessor_Proxy(0,"ParticleProcessor","Object Node ParticleProcessor", ParticleProcessor_readLocalData, ParticleProcessor_writeLocalData)